## dbus 1.15.6

=== debian/changelog ===
dbus (1.15.6-2) experimental; urgency=medium

  * Merge packaging from unstable (Closes: #1040790)

 -- Simon McVittie <smcv@debian.org>  Tue, 11 Jul 2023 21:01:57 +0100

dbus (1.15.6-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
    - Fixes a denial of service issue if the root or messagebus user is
      monitoring messages on the system bus with the Monitoring interface
      (dbus-monitor, busctl monitor, gdbus monitor or similar)
      (Closes: #1037151)
  * d/rules: Tell dh_shlibdeps where to find dbus-tests' private libraries
    dbus-tests contains an instrumented/debug build of libdbus in a private
    directory, which has more ABI than the production build, and a second
    set of tests which depend on that debug build.
  * d/rules: Extend arbitrary timeout for tests.
    Some mipsel buildds are very slow and have seen the hash test time out
    after 30 seconds (it normally takes about 10 on slower machines).

  [ Helmut Grohne ]
  * Mark dbus-daemon and dbus-bin Multi-Arch: foreign (Closes: #1033056)

 -- Simon McVittie <smcv@debian.org>  Tue, 06 Jun 2023 15:06:09 +0100

dbus (1.15.4-1) experimental; urgency=medium

  * New upstream development release
    - Fixes a denial of service issue that is not relevant for the way
      we compile dbus in Debian
  * d/copyright: Update
  * d/rules: Explicitly enable the message bus and tools, which are now
    compile-time optional
  * Merge packaging changes from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 08 Feb 2023 13:34:18 +0000

dbus (1.15.2-1) experimental; urgency=medium

  * New upstream development release
    - Fix several denial of service issues where an authenticated attacker
      can crash the system bus by sending crafted messages
      (CVE-2022-42010, CVE-2022-42011, CVE-2022-42012)
    - Use a path-based Unix socket for the session bus, avoiding sandbox
      escape for Flatpak apps with network access (dbus#416)
  * Merge packaging from unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Oct 2022 12:02:43 +0100

dbus (1.15.0-1) experimental; urgency=medium

  [ Simon McVittie ]
  * New upstream development release
  * Drop most patches, applied upstream
  * d/copyright: Update

  [ Dave Jones ]
  * Make autopkgtest cross-friendly

 -- Simon McVittie <smcv@debian.org>  Thu, 22 Sep 2022 12:36:07 +0100

dbus (1.14.99~git20220715-1) experimental; urgency=medium

  * d/control, d/gbp.conf, d/watch: Branch for experimental
  * New upstream snapshot with Meson build system
  * Build with Meson instead of Autotools
  * d/copyright: Update
  * libdbus-1-dev: Depend on libsystemd-dev.
    Autotools represented the libsystemd dependency as Libs.private, which
    meant we would only have needed libsystemd-dev for static linking,
    but Meson uses Requires.private.
  * d/p/activation-helper-Never-crash-if-unable-to-write-oom_scor.patch,
    d/p/sysdeps-Only-open-oom_score_adj-read-write-if-we-need-to-.patch:
    Add proposed patches to make oom_score_adj handling more robust
  * d/p/test-bus-Factor-out-common-setup-teardown-code.patch,
    d/p/test-bus-Break-up-dispatch-test-into-three-separate-tests.patch,
    d/p/dispatch-test-Pass-in-test-data-directory-as-a-C-string.patch:
    Add proposed patches to speed up build-time testing
  * d/rules: Run all tests, even the slow ones.
    They're a lot less slow now.

 -- Simon McVittie <smcv@debian.org>  Sun, 17 Jul 2022 16:25:37 +0100
