=== debian/changelog ===
dbus (1.15.8-2) experimental; urgency=medium

  * dbus-x11: Don't copy XDG_SEAT_PATH, XDG_SESSION_PATH to activation
    environment.
    These variables are specific to a single login session.
  * dbus-user-session: Copy XDG_CURRENT_DESKTOP to activation environment.
    This is needed by various freedesktop.org specifications, in particular
    for xdg-desktop-portal (>= 1.17) to choose the correct portal backend
    for a desktop session. Some session managers like gnome-session and
    plasma-workspace already upload this into the activation environment,
    but many older or simpler session managers do not.

 -- Simon McVittie <smcv@debian.org>  Fri, 01 Sep 2023 10:55:31 +0100

dbus (1.15.8-1) experimental; urgency=medium

  * New upstream development release
  * d/copyright: Update
  * d/rules: Pass the correct private library directory to dh_shlibdeps

 -- Simon McVittie <smcv@debian.org>  Mon, 21 Aug 2023 18:37:36 +0100
